Skip to main content
GET
List UDF versions
Returns all versions of a UDF.

Permission

The API key must have the control-plane:organization:view permission.

인증

Authorization
string
header
필수

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

경로 매개변수

organizationId
string<uuid>
필수

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
필수

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

쿼리 매개변수

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
기본값:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

필수 범위: x <= 100

응답

Successful response.

result
object[]
필수

Versions of the UDF in this page.

limit
integer
필수

Maximum number of results returned in this page.

totalCount
integer | null
필수

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
필수

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
필수

HTTP status code.

예시:

200

requestId
string<uuid>
필수

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
마지막 수정일 2026년 10월 3일